
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP-xajax的应用方法总结 / iVAN</title>

    <meta name="description" content="PHP-xajax的应用方法总结 一. HelloWrold步骤 PHP代码 //服务器端 require_once (../../xajax.inc.php); //定义处理函数, //并在处理函数中实例xajaxResponse对象 一. HelloWrold步骤     PHP代码     //服务器端     require_once (&quot;../../xajax.inc.php&quot;);     //定义处理函数,     //并在处理函数中实例xajaxResponse对象,     //调用其方法控制 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP-xajax的应用方法总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、 HelloWrold步骤 PHP代码 //服务器端 require_once (../../xajax.inc.php); //定义处理函数, //并在处理函数中实例xajaxResponse对象</p>
<p>一、 HelloWrold步骤</p>
<p>    PHP代码</p>
<p>    //服务器端　</p>
<p>    require_once ("../../xajax.inc.php");　</p>
<p>    //定义处理函数,　</p>
<p>    //并在处理函数中实例xajaxResponse对象，　</p>
<p>    //调用其方法控制控件的值，再返回该对象　</p>
<p>    function myFunc($text){　</p>
<p>    //实例响应对象　　</p>
<p>    $objResponse = new xajaxResponse();　</p>
<p>    //改变控件值　</p>
<p>    $objResponse-&gt;addAssign("div1","innerHTML",$text);　</p>
<p>    return $objResponse;　</p>
<p>    }　</p>
<p>    //初始化xajax　</p>
<p>    $xajax = new xajax(); //可以指定服务器端的响应程序　</p>
<p>    $xajax-&gt;registerFunction("myFunc"); //注册处理函数　</p>
<p>    //开始接受请求　</p>
<p>    $xajax-&gt;processRequests();　</p>
<p>    PHP代码</p>
<p>    //客户端(客户端与服务器端应共享同一个xajax对象,可做成公共配置文件)　</p>
<p>    //在&lt;head&gt;区加入script　</p>
<p>    $xajax-&gt;printJavascript('../'); //可用变量，由模板解析　</p>
<p>    //定义接受新内容的控件　</p>
<p>    &lt;div id="div1" name="div1"&gt; &lt;/div&gt;　</p>
<p>    //执行方法,xajax_为前缀,myFunc为注册的函数名　</p>
<p>    &lt;button onclick="xajax_myFunc(‘hello’)" &gt;Click Me&lt;/button&gt;　</p>
<p>    总述:先构造一个xajax对象供服务器端和客户端共用,再定义相应的处理函数(在函数中构造xajaxResponse对象，并使用该对象的 addAssing等方法对客户端控件操作),注册处理函数然后使用processRequests方法开始运行.客户端需要调用xajax对象的 printJavascript方法来生成javascript代码(加在head段),再定义触发处理的事件,处理方法名为”xajax_”+注册时的 函数名,该前缀可以在初始化xajax时修改<br />
    二、常用方法</p>
<p>    xajax对象:</p>
<p>    xajax($sRequestURI="",$sWrapperPrefix="xajax_",$sEncoding=</p>
<p>    XAJAX_DEFAULT_CHAR_ENCODING,$bDebug=false);</p>
<p>    构造函数，$sRequestURI 服务器uri,$sWrapperPrefix 客户端调用时的前缀,$sEncoding 编码</p>
<p>    registerFunction($mFunction,$sRequestType=XAJAX_POST)</p>
<p>    注册处理函数,$mFunction 函数名,$sRequestType 提交类形,另一选择为XAJAX_GET</p>
<p>    可以使用类方法:</p>
<p>    registerFunction(array "myFunc",&amp;$myObj,"myMethod"));</p>
<p>    'myFunc' 供前端调用的函数名 $myObject,类实例 'myMethod' 类的方法</p>
<p>    registerExternalFunction($mFunc,$sIncludeFile,$sRequestType=XAJAX_POST)</p>
<p>    $sIncludeFile 包含函数定义的外部文件路径,其它同registerFunction 用于引入单独函数定义文件</p>
<p>    registerCatchAllFunction($mFunction)</p>
<p>    定义一个默认处理函数,当前端调用了一个不存在的函数时，执行此操作</p>
<p>    registerPreFunction($mFunction)</p>
<p>    定义预处理函数，前端调用任何函数，都先调用此方法</p>
<p>    processRequests() //开始执行</p>
<p>    printJavascript($sJsURI="", $sJsFile=NULL)</p>
<p>    输出前端javascript代码,</p>
<p>    getJavascript($sJsURI="", $sJsFile=NULL)</p>
<p>    将应用于前端的javascript代码输出到变量，以便模板引擎使用</p>
<p>    xajaxResponse对象</p>
<p>    xajaxResponse($sEncoding=XAJAX_DEFAULT_CHAR_ENCODING, $bOutputEntities=false)</p>
<p>    构造函数，可以指明编码或是否转换html标记</p>
<p>    setCharEncoding($sEncoding); //改变编码<br />
    addConfirmCommands($iCmdNumber, $sMessage)</p>
<p>    用户确认操作. $iCmdNumber 如果选’取消’，紧接着要跳过的命令数,$sMessage提示信息</p>
<p>    addAssign($sTarget,$sAttribute,$sData)</p>
<p>    改变$sTarget的$sAttribute属性的值为$sData;</p>
<p>    addAppend($sTarget,$sAttribute,$sData)</p>
<p>    将新值加在原值的后面</p>
<p>    addPrepend($sTarget,$sAttribute,$sData)</p>
<p>    将新值插到原值的前面</p>
<p>    addReplace($sTarget,$sAttribute,$sSearch,$sData)</p>
<p>    用$sData替换原值中的$sSearch</p>
<p>    addClear($sTarget,$sAttribute) //清空原值</p>
<p>    addAlert($sMsg) //生成一个alert对话框</p>
<p>    addRedirect($sURL) //重定向</p>
<p>    addScript($sJS) //执行javascript代码</p>
<p>    addScriptCall("myJSFunction", "arg 1", "arg 2", 12345);</p>
<p>    调用javascript的函数myJSFunction</p>
<p>    addRemove($sTarget) //移除一个元素</p>
<p>    addCreate($sParent, $sTag, $sId, $sType="")</p>
<p>    在$sParent中增加一个子元素$sTag</p>
<p>    //插入元素</p>
<p>    addInsert($sBefore, $sTag, $sId)</p>
<p>    addInsertAfter($sAfter, $sTag, $sId)</p>
<p>    //加入表单项</p>
<p>    addCreateInput($sParent, $sType, $sName, $sId)</p>
<p>    addInsertInput($sBefore, $sType, $sName, $sId)</p>
<p>    addInsertInputAfter($sAfter, $sType, $sName, $sId)</p>
<p>    //加入事件处理</p>
<p>    addEvent("contentDiv", "onclick", "alert('Hello World');");</p>
<p>    //为contentDiv控件加入onclick事件</p>
<p>    addHandler($sTarget,$sEvent,$sHandler)</p>
<p>　　addHandler("contentDiv", "onclick", "clickit");</p>
<p>    //为contentDiv加入onclic事件，执行javascript方法clickit</p>
<p>    //移除事件处理</p>
<p>    addRemoveHandler("contentDiv", "onclick", "content_click");</p>
<p>    //加入外部js文件</p>
<p>    addIncludeScript("functions.js");</p>
<p>    //返回response,可以直接返回$ajaxResponse();</p>
<p>    getXML()</p>
<p>    另外:在前端程序，可使用如下方法将form的值提交到后端</p>
<p>    xajax_myFunc(xajax.getFormValues('formId'));</p>
<p>    传入的是form的id,如果加入第二参数为true;则form中有disable属性的控件值也被传入</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:56:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af/" title="前端">前端</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af-js-form/" title="前端 js form">前端 js form</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af%ef%bc%8c%c2%a0js%ef%bc%8c%c2%a0form%e6%8f%90%e4%ba%a4/" title="前端，&nbsp;js，&nbsp;form提交">前端，&nbsp;js，&nbsp;form提交</a>, <a href="https://www.iamivan.net/tag/js%e8%b0%83%e7%94%a8php%e5%87%bd%e6%95%b0/" title="js调用php函数">js调用php函数</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af-php/" title="前端  php">前端  php</a>, <a href="https://www.iamivan.net/tag/xajax%e7%9a%84form%e4%be%8b%e5%ad%90/" title="xajax的FORM例子">xajax的FORM例子</a>, <a href="https://www.iamivan.net/tag/xajax%e5%86%99%e7%9a%84%e7%95%99%e8%a8%80%e6%9c%ac/" title="xajax写的留言本">xajax写的留言本</a>, <a href="https://www.iamivan.net/tag/javascriptweb%e5%89%8d%e7%ab%af%e5%87%bd%e6%95%b0/" title="javascriptweb前端函数">javascriptweb前端函数</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7%e7%ab%af%e3%80%80%e7%8c%ab%e3%80%80id/" title="客户端　猫　id">客户端　猫　id</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP-xajax的应用方法总结的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw3Jmz.html" rel="bookmark">Xajax手册&lpar;第一版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax 原文:http://xajax.sourceforge.net/英文原版:Copyright 2005 J. Max Wilson简体中文翻译:HonestQiao(乔楚)/2005-12-7 17:23/(第一版)什么是xajax? xajax如何工作? 为什么我要使用xajax代替其他PHP的Ajax库? 如何在我的PHP脚本之中使用xajax? 如何异步更新内容? 如何异步处理表单数据? 如何给xajax增加定制功能? 我能在私有或者收费产品之中使用xajax吗?  What i			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wwd1p.html" rel="bookmark">php的ajax框架xajax入门与试用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.xajax与其它ajax框架的比较 xajax功能很简单,但很灵活!~它不象其它一些大的框架,功能确实强大,但执行速度不敢恭维..功能虽多,但不够灵活.api多,学起来简直如同学习一门新的语言. 二.xajax功能介绍 xajax的功能比较简单,但就因为简单,所以灵活.同时,这也要求使用者要对javascrīpt / vbs 客户端脚本有一定的了解.因为它的功能是比较活的.可以说单纯使用xajax,什么也做不出,但配合js / vbs 又什么都做的出. xajax主要是使用xajaxResp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjjYnp.html" rel="bookmark">xajax从0&period;2升级到0&period;5的改变</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xajax目前已经升级到0.5版本,旧版本的XAJAX与新版本的方法有些不同,新版本增加了延迟事件(delay events)和插件,具体请看内容 1 附加 1.1 延迟事件(delay events) 1.2 插件 2 Changes 2.1 请求类型(request type) 2.2 响应命令(Response Commands) 2.3 目录结构(Folder Structure) 2.4 方法重命名(Method Renaming) 3 快速参考 附加 延迟事件(delay event			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAw8Kb.html" rel="bookmark">PHP中xajax库中文问题及提示返回XML文件无效的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xajax是PHP下一个非常好的ajax框架,虽然xajax自己说自己是一个库(Library),但是我觉得它更像一个框架(Framework).xajax是一个开源的 PHP 类库 它能够让你黏合HTML.CSS.Javascript和PHP,并可以结合Smarty模板系统使用. 在运用Xoops的Page模组的时候,发现其不能和中文正常工作,特别是不能和UTF-8编码的页面一起工作,昨天在利用这个实现DataGrid的时候发现完全不能正常工作了,一直报&quot;the XML response th			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYLGAb.html" rel="bookmark">php的ajax框架xajax入门与试用介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.xajax与其它ajax框架的比较 xajax功能很简单,但很灵活!~它不象其它一些大的框架,功能确实强大,但执行速度不敢恭维..功能虽多,但不够灵活.api多,学起来简直如同学习一门新的语言. 二.xajax功能介绍 xajax的功能比较简单,但就因为简单,所以灵活.同时,这也要求使用者要对javascrīpt / vbs 客户端脚本有一定的了解.因为它的功能是比较活的.可以说单纯使用xajax,什么也做不出,但配合js / vbs 又什么都做的出. xajax主要是使用xajaxResp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA6l6np.html" rel="bookmark">ThinkPHP中FCKeditor编辑器的使用方法&lowbar;网页编辑器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				而且可以用直接上传和ajax两种方式处理内容.为了给一些还没能成功地集成fckeditor的同侪们一些启发与帮助, 兹将我的经验与体会描述如下:应用目的:将FCKeditor编辑器集成到Thinkphp中,使用户能够在线像编辑Word一样处理即将发表的文字与图像. 应用软件与环境:apache服务器2.0以上版本,PHP版本5.0以上,mysql5.0以上:Thinkphp版本1.5或以上,Fckeditor版本2.x. 应用步骤: 1.下载FCKeditor2.x版本,将解压后的文件夹FCKe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVddNz.html" rel="bookmark">ajax框架瑟xajax简单介绍&lpar;1&sol;5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.xajax与其它ajax框架的比较 xajax功能很简单,但很灵活!~它不象其它一些大的框架,功能确实强大,但执行速度不敢恭维..功能虽多,但不够灵活.api多,学起来简直如同学习一门新的语言. 二.xajax功能介绍 xajax的功能比较简单,但就因为简单,所以灵活.同时,这也要求使用者要对javascrīpt / vbs 客户端脚本有一定的了解.因为它的功能是比较活的.可以说单纯使用xajax,什么也做不出,但配合js / vbs 又什么都做的出. xajax主要是使用xajaxresp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/3Lp5Apn.html" rel="bookmark">解决win7系统无法将网页添加到收藏夹的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  许多用户在访问网站时,如果看到自己感兴趣的网页内容或网站,通常我们都会通过Ctrl+D添加到收藏夹中,但近期有部分win7系统用户,在浏览器下添加网页收藏时,却发现无法将网页添加到收藏夹,对于这一问题我们如何解决呢?下面看小编为大家提供的详细解决方法吧! 原因分析: 很多时候网址不能收藏都是由于收藏夹目录指向错误引起的,我们可以到注册表里将其修复. 操作方法: 1.在开始菜单中点击&quot;运行&quot;,然后输入&quot;regedit&quot;并且回车; 2.打开注册表编辑器,依次展开[H			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/oVMrvMK.html" rel="bookmark">电脑中通过修改注册表解决网页无法添加到收藏夹的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  电脑中通过修改注册表解决网页无法添加到收藏夹的方法.最近有不少用户反映在电脑中出现了无法添加网页到收藏夹的问题,尝试了各种方法都无法解决这个问题.对此,在接下来的内容中,小编为大家提供了一种通过修改注册表解决网页无法添加到收藏夹的方法,大家可以参考一下. 1.按Win+R打开运行,输入regedit并按回车键; 2.在注册表编辑器依次展开HKEY_CURRENT_USER/Software/Microsoft/Windows/CurrentVersion/Explorer/UserShell			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b20jop.html" rel="bookmark" class="title">用Oracle的SQL&ast;Plus工具创建HTML页面</a>
					<div>
						oracle|创建|页面 用Oracle的SQL*Plus工具创建HTML页面   作者:Fenng   Oracle的SQL*Plus工具有一些比较有趣的选项,合理的使用,能够给我们意想不到的后果. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOQr5b.html" rel="bookmark" class="title">3个小技巧帮你提升用户体验</a>
					<div>
						  1)用户只看最终结果 2)表达清楚态度缘由 3)关注真实数据结果,发现用户情感落差.今天阿里的鸿影同学结合自身的工作经历,总结了3个用户体验设计工作中应该注意的问题,附上谷歌和淘宝的应对方法,文章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PvdAM.html" rel="bookmark" class="title">20个常用PPT小技巧</a>
					<div>
						  20个常用PPT小技巧         1.替换字体 一键将 A 字体替换为 B 字体. 如果已经做好了一个 PPT,里面正文用的是宋体,但后来觉得,正文用微软雅黑更好一点.我们点击[替换字体], ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2evdb.html" rel="bookmark" class="title">解析javascript 浏览器关闭事件</a>
					<div>
						  代码如下: &lt;script type=&quot;text/javascript&quot;&gt;      window.onbeforeunload = onbeforeunload_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oYAab.html" rel="bookmark" class="title">酷我k歌如何查看我点播的歌曲？</a>
					<div>
						  在&quot;我要点歌&quot;标签页中选择好歌曲后,点击&quot;点歌&quot;按钮后,您所点的歌曲将在&quot;已点歌曲&quot;标签页面会显示;之后,您可以进行播放以及录制的操作					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWv6Rb.html" rel="bookmark" class="title">Word2007怎样组合图片和图形</a>
					<div>
						  word2007采用了新的图形引擎,这使得在在03版word中的组合图形的功能消失了,这使得图形的编辑有些不方便.那么在word2007中,怎样组合图形呢?下面在这里介绍一个比较快捷的方法,希望对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Za5lb.html" rel="bookmark" class="title">Win7系统中的ie缓存文件夹在哪</a>
					<div>
						  1.打开ie浏览器,选择&quot;工具--Internet选项&quot;; 2.在打开的Internet选项窗口中,切换到&quot;常规&quot;选项卡下,然后点击浏览历史记录里面栏下的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydwOvb.html" rel="bookmark" class="title">URL重写 The specified module could not be found</a>
					<div>
						问题描述 URL重写,在本机测试通过,但是我把文件传到虚拟主机上,打开网页却显示:Thespecifiedmodulecouldnotbefound 解决方案 解决方案二:需要在IIS中配置一下!!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5NdZM.html" rel="bookmark" class="title">帮忙弄一个jquery的弹出层，新手不会使用呢</a>
					<div>
						问题描述 这里是HTML代码&lt;!--查看图片--&gt;&lt;divid=&quot;PictureDetail&quot;runat=&quot;server&quot;&gt;&lt;di ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWn0Ez.html" rel="bookmark" class="title">学习ssh之ssh密钥随身携带</a>
					<div>
						这篇文章我们再来讲解,如何把已经生成的密钥随身携带. 有关如何生成ssh密钥的详细步骤,可以查看上一篇文章&lt;烂泥:学习ssh之ssh无密码登陆&gt;. 一.生成密钥 现在我们通过xshell生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z71qz.html" rel="bookmark" class="title">03中国开源镜像站点汇总</a>
					<div>
						中国开源镜像站点汇总 阿里云 http://mirrors.aliyun.com/ 163安装软件镜像源 163开源镜像站是国内比较老的一个网站.很多人都在使用.从这里就可以看出来,网易,果然是业界良 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA5qnM.html" rel="bookmark" class="title">基于Hadoop的海量小型XML数据文件处理技术的设计和实现</a>
					<div>
						基于Hadoop的海量小型XML数据文件处理技术的设计和实现 西安电子科技大学 孔鑫 本文重点研究了如下内容:1)设计了专门针对海量小数据XML文件进行处理的分布式海量小型XML数据处理系统(Dist ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRBgAb.html" rel="bookmark" class="title">服务器和云平台网站可实现一站式云服务</a>
					<div>
						近日,微软最新发布的服务器和云平台网站已经可以提供包括管理云应用.部署服务器等多种功能在内的一站式云服务. 除了可为消费者构建私有云外,该网站还提供虚拟服务器.虚拟桌面.管理云应用.部署服务器.管理员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDneP0M.html" rel="bookmark" class="title">20万台小米手机1S已在29分36秒内抢购结束</a>
					<div>
						[TechWeb报道]8月23日消息,小米手机1S于今日上午10:00开放购买.小米公司宣布,20万台小米手机1S已在29分36秒内抢购结束. 小米手机1S于8月16日发布.小米手机1S是小米手机一代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnkAWM.html" rel="bookmark" class="title">listview  adapter-lisview  里面checkbox全选 ！！纯新手啊！</a>
					<div>
						问题描述 lisview 里面checkbox全选 !!纯新手啊! 大神们给个思路啊! 我用的是 baseAdapter lisview 里面checkbox全选 !!纯新手啊! 解决方案 http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Ja9Jz.html" rel="bookmark" class="title">query list-无语的hibernate tomcat  spring hibernate 困扰几天的问题</a>
					<div>
						问题描述 无语的hibernate tomcat spring hibernate 困扰几天的问题 做级联查询的时候,有时候启动tomcat,访问正常,有时候报java.lang.NullPointe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G2Oyp.html" rel="bookmark" class="title">第三方支付被迫封堵比特币</a>
					<div>
						央行责令封杀比特币 或逼迫其退出中国市场 [http://www.aliyun.com/zixun/aggregation/6149.html&quot;&gt;TechWeb报道]12月17日消息, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4408Pz.html" rel="bookmark" class="title">PHP MySQL应用中使用XOR运算加密算法分享&lowbar;php技巧</a>
					<div>
						XOR算法原理 从加密的主要方法看,换位法过于简单,特别是对于数据量少的情况很容易由密文猜出明文,而替换法不失为一种行之有效的简易算法. 从各种替换法运算的特点看,异或运算最适合用于简易加解密运算,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWyg3z.html" rel="bookmark" class="title">js抽奖实现随机抽奖代码效果&lowbar;javascript技巧</a>
					<div>
						随机抽取,简单代码. 复制代码 代码如下:  &lt;html&gt; &lt;title&gt;随机抽奖程序&lt;/title&gt; &lt;head&gt;&lt;meta http-equi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYxd8b.html" rel="bookmark" class="title">WordPress博客如何记录搜索引擎蜘蛛爬行痕迹</a>
					<div>
						WordPress博客记录seo/seo.html&quot; target=&quot;_blank&quot;&gt;搜索引擎蜘蛛爬行痕迹插件: 1.搜索引擎蜘蛛爬行记录器Spider Track ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2xJqz.html" rel="bookmark" class="title">js不能跳转到上一页面的问题解决方法&lowbar;javascript技巧</a>
					<div>
						问题描述:我们有两个页面A和B,当我们从A跳到B后不做作任何让页面回传的操作,用JS:history.go(-1)就可以回到A页面,但是比如我们有Click,Change事件等激发了页面的回传,此时用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44rNYz.html" rel="bookmark" class="title">Illustrator绘制逼真质感的红绸缎教程</a>
					<div>
						给各位Illustrator软件的使用者们来详细的解析分享一下绘制逼真质感的红绸缎的教程. 教程分享: 首先我们先来确定几个基色调,简单的可以用三种,想效果更好点就用五种.高光开业后期添加,也可以同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NwN0z.html" rel="bookmark" class="title">Asp&period;Net实现404页面与301重定向的方法&lowbar;实用技巧</a>
					<div>
						本文实例讲述了Asp.Net实现404页面与301重定向的方法.分享给大家供大家参考.具体实现方法如下: 从一种程度来讲301重定向与404页面没什么关系为什么我要拿到一起来讲来,因为都很简单实现,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY25Wb.html" rel="bookmark" class="title">c&plus;&plus; windowsSocket通讯连接效时服务器并获取返回消息简单用例</a>
					<div>
						#include &quot;stdafx.h&quot; #include &lt;windows.h&gt; #include &lt;windowsx.h&gt; #include &lt;WI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DBArb.html" rel="bookmark" class="title">限外令开闸 手机追剧吐槽利器推荐</a>
					<div>
						本文讲的是 : 限外令开闸 手机追剧吐槽利器推荐   , 在业余时间追热门影视剧,是不少人的娱乐方式和习惯.随着施行一个季度的限外令结束,一批在国内拥有大量粉丝的美剧即将再次登陆国内.在压抑了三个月之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPoY8p.html" rel="bookmark" class="title">从具体的影响网站排名的因素来谈谈如何做好网页的整体性优化</a>
					<div>
						摘要: 很多站长做网站优化最为关注的就是网站排名了,而搜索引擎对于网站排名规则会参考很多的因素,不会仅仅因为某个方面就会让你的网站获得很好的排名或者严重的惩罚,很多人在学 很多站长做网站优化最为关注的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqDX6p.html" rel="bookmark" class="title">js和jquery中循环的退出和继续学习记录&lowbar;javascript技巧</a>
					<div>
						作为水货,就是学会了1+1=3也要记录一下!错了,是2 学习记录: js中的 for(var i=1;i&lt;5;i++){ if(i==3){ break; // 使用break,弹出2次提示分别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zJeWd7p.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNDYzNjQvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zJeWd7p.html" rel="bookmark" class="title">四大趋势共推第三次工业革命</a>
					<div>
						       我们又迎来了一年一度的拉斯维加斯狂欢周.这场名为CES(原为&quot;消费电子展&quot;缩写)的年度电子展会于周二正式拉开帷幕,它是发布新一代消费设备与软件的最重要年度盛会. 但媒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5OWm7b.html" rel="bookmark" class="title">mysql服务器查询慢原因分析与解决方法</a>
					<div>
						会经常发现开发人员查一下没用索引的语句或者没有limit n的语句,这些没语句会对数据库造成很大的影响,例如一个几千万条记录的大表要全部扫描,或者是不停的做filesort,对数据库和服务器造成io影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myvn3vp.html" rel="bookmark" class="title">凤凰网高管解读14年Q2财报：移动广告同比增长138&percnt;</a>
					<div>
						北京时间8月12日,凤凰网(即&quot;凤凰新媒体&quot;,纽约证券交易所代码: FENG)公布2014年第二季度财报.财报显示,截至2014年6月30日,凤凰网总营收为人民币4.11亿元(约合 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
